#ifndef FORMPCUTCSETTINGS_H
#define FORMPCUTCSETTINGS_H

#include <QWidget>
#include "BaseWidget.h"

#include "DataTypeDef.h"
namespace Ui {
class FormPcutcSettings;
}

class FormPcutcSettings : public BaseWidget
{
    Q_OBJECT

public:
    explicit FormPcutcSettings(BaseWidget *parent = nullptr);
    ~FormPcutcSettings();

    bool returnParent() override;

private:
    void initWidget();

    void refreshData();
    void updateData();

protected:
    void showEvent(QShowEvent* event) override;

private:
    Ui::FormPcutcSettings *ui;
    pcutc_info_t pcutc_info;
};

#endif // FORMPCUTCSETTINGS_H
